cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joerg Heinicke <joerg.heini...@gmx.de>
Subject Re: ChartTransformer, endorsed libs, Tomcat
Date Tue, 08 Jul 2003 16:14:06 GMT
Is this problem still an issue? Or are all your problems solved with the 
other thread?

Olivier Billard wrote:
> Hi all !
> 
> I'm trying to port my project based on Cocoon M3 from 
> Window/JDK1.4.1/Embedded Jetty to Linux/JDK 1.4.1/Apache 2.0.46/Tomcat 
> 4.1.24
> I'm having some problems I didn't have with Jetty, concerning the 
> ChartTransformer. All seems to work fine.
> 
> I'm using the default xsltc transformer. Tomcat has the following libs 
> in common/endorsed :
> xalan-2.4.1.jar  xercesImpl-2.1.0.jar  xml-apis.jar  xsltc-20030211.jar

If you put those to Tomcat you should use the same libs in Cocoon. The 
endorsed libs and the libs used in Cocoon should always be the same. 
Otherwise there is the risk of getting ClassCastExceptions or strange 
messages.

> The new libs from M3 don't seem to works, neither with no libs...
> 
> Is there still some problems with the endorsed libs with this version of 
> tomcat ?

This problem will remain until the XML libs are removed from JDK - and I 
guess this will never happen. And not only with Tomcat but all 
environments processing XML.

> Must I copy the endorsed libs in an endorsed folder of the JDK ?

No. Setting the java.endorsed.dirs property is enough. And exactly this 
Tomcat is doing in its start scripts.

Joerg


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message